Create Portal Session
curl --request POST \
--url https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_customer_id": "test_customer_id",
"intent": "cancel",
"provider_subscription_id": "test_subscription_id_2"
}
'import requests
url = "https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions"
payload = {
"provider_customer_id": "test_customer_id",
"intent": "cancel",
"provider_subscription_id": "test_subscription_id_2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_customer_id: 'test_customer_id',
intent: 'cancel',
provider_subscription_id: 'test_subscription_id_2'
})
};
fetch('https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_customer_id' => 'test_customer_id',
'intent' => 'cancel',
'provider_subscription_id' => 'test_subscription_id_2'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions"
payload := strings.NewReader("{\n \"provider_customer_id\": \"test_customer_id\",\n \"intent\": \"cancel\",\n \"provider_subscription_id\": \"test_subscription_id_2\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_customer_id\": \"test_customer_id\",\n \"intent\": \"cancel\",\n \"provider_subscription_id\": \"test_subscription_id_2\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_customer_id\": \"test_customer_id\",\n \"intent\": \"cancel\",\n \"provider_subscription_id\": \"test_subscription_id_2\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"url": "https://billing.stripe.com/session/xyz123abc456"
}
}Billing Portals
Create Portal Session
Creates a billing portal session for a customer. Returns a session URL that can be used to redirect the customer to the portal. > Sibling endpoint: tenants who have Chargebee Retention enabled (retention_app_id set on their config) should call POST /billing-portals/retention-sessions for the cancel flow instead of passing intent=cancel here. The frontend reads the config to make this routing decision.
POST
/
billing-portals
/
{provider_billing_portal_id}
/
sessions
Create Portal Session
curl --request POST \
--url https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_customer_id": "test_customer_id",
"intent": "cancel",
"provider_subscription_id": "test_subscription_id_2"
}
'import requests
url = "https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions"
payload = {
"provider_customer_id": "test_customer_id",
"intent": "cancel",
"provider_subscription_id": "test_subscription_id_2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_customer_id: 'test_customer_id',
intent: 'cancel',
provider_subscription_id: 'test_subscription_id_2'
})
};
fetch('https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_customer_id' => 'test_customer_id',
'intent' => 'cancel',
'provider_subscription_id' => 'test_subscription_id_2'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions"
payload := strings.NewReader("{\n \"provider_customer_id\": \"test_customer_id\",\n \"intent\": \"cancel\",\n \"provider_subscription_id\": \"test_subscription_id_2\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_customer_id\": \"test_customer_id\",\n \"intent\": \"cancel\",\n \"provider_subscription_id\": \"test_subscription_id_2\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/billing-portals/{provider_billing_portal_id}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_customer_id\": \"test_customer_id\",\n \"intent\": \"cancel\",\n \"provider_subscription_id\": \"test_subscription_id_2\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"url": "https://billing.stripe.com/session/xyz123abc456"
}
}Authorizations
serviceTokenuserToken
Headers
Path Parameters
Body
application/json

